--
-- Speciaziation class DE06_74
-- V1.0
-- @author 50keda
-- @date 13/10/2016
-- Copyright (C) 50keda, All Rights Reserved.




DE06_74 = {}

function DE06_74.prerequisitesPresent(specializations)
	
	AttacherJoints.registerJointType("utb_weight")

	return true
end;

function DE06_74:load(savegame)
	self.DE06_74_propelerAnim = getXMLString(self.xmlFile, "vehicle.propelerAnimation#animName")
	self.DE06_74_speedDivider = getXMLInt(self.xmlFile, "vehicle.propelerAnimation#speedDivider")

	if self.DE06_74_propelerAnim ~= nil and self.DE06_74_speedDivider ~= nil then
		self.DE06_74_initalized = true
	else
		self.DE06_74_initalized = false
	end
end

function DE06_74:delete()
end

function DE06_74:mouseEvent(posX, posY, isDown, isUp, button)
end

function DE06_74:keyEvent(unicode, sym, modifier, isDown)
end

function DE06_74:update(dt)
	
	if not self.DE06_74_initalized then
		return
	end

	if self:getIsMotorStarted() then
		self:playAnimation(self.DE06_74_propelerAnim, 
							self.motor.lastMotorRpm / self.DE06_74_speedDivider, 
							self:getAnimationTime(self.DE06_74_propelerAnim), 
							true)
	else
		self:stopAnimation(self.DE06_74_propelerAnim)
	end
end

function DE06_74:draw()
end
